# $Revision: 1.11 $, $Date: 2009/10/09 15:05:41 $
# TODO:
# - where to setup lenya username/passwords? Is it possible to integrate it
#   with LDAP?

%include	/usr/lib/rpm/macros.java
Summary:	Open Source Java/XML Content Management System
Summary:(pl.UTF-8)	System zarządzania treścią oparty na Javie i XML
Name:		lenya
Version:	2.0.2
Release:	1
License:	Apache v2
Group:		Networking/Daemons/Java/Servlets
Source0:	http://ftp.tpnet.pl/vol/d1/apache/lenya/SOURCES/apache-%{name}-%{version}-src.tar.gz
# Source0-md5:	7e600d88ad6c866b5eda30d6d0133d11
Source1:	%{name}-context.xml
Source2:	%{name}-log4j.xconf
Source3:	%{name}-cocoon.xconf
Source4:	%{name}-web.xml
Source5:	%{name}-mysql-schema.sql
URL:		http://lenya.apache.org/
BuildRequires:	ant
BuildRequires:	java-sun
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	group(servlet)
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache Lenya is an Open Source Java/XML Content Management System and
comes with revision control, multi-site management, scheduling,
search, WYSIWYG editors, and workflow.

%description -l pl.UTF-8
Apache Lenya jest napisanym w Javie systemem zarządzania treścią
intensywnie wykorzystującym XML. Lenya zawiera system kontroli wersji,
edytor WYSIWYG, możliwość zarządzania wieloma publikacjami,
definiowania procedury workflow.

%prep
%setup -q -n apache-%{name}-%{version}-src

cp %{SOURCE5} mysql-schema.sql

%build

export ANT_HOME=tools

# some libs
CLASSPATH=$(build-classpath-directory externals/cocoon_2_1_x/lib/endorsed)
CLASSPATH=$CLASSPATH:externals/cocoon_2_1_x/tools/lib/ant-contrib-0.6.jar
CLASSPATH=$CLASSPATH:externals/cocoon_2_1_x/tools/lib/jing-20030619.jar

%ant webapp

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/lenya,%{_datadir},%{_sharedstatedir}/tomcat/conf/Catalina/localhost,/var/log/lenya}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sharedstatedir}/tomcat/conf/Catalina/localhost/lenya.xml
cp -a build/lenya/webapp $RPM_BUILD_ROOT%{_datadir}/lenya
mv $RPM_BUILD_ROOT%{_datadir}/lenya/lenya $RPM_BUILD_ROOT%{_sharedstatedir}/lenya
ln -s %{_sharedstatedir}/lenya $RPM_BUILD_ROOT%{_datadir}/lenya

# use libraries provided by lenya. Lenya need exact version of these jars.
# Don't try to use system libraries. It won't work.
mv $RPM_BUILD_ROOT%{_datadir}/lenya/WEB-INF/lib{/endorsed/*,}
rmdir $RPM_BUILD_ROOT%{_datadir}/lenya/WEB-INF/lib/endorsed

cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/lenya/WEB-INF/log4j.xconf
cp %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/lenya/WEB-INF/cocoon.xconf
cp %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/lenya/WEB-INF/web.xml
mv $RPM_BUILD_ROOT%{_datadir}/lenya/WEB-INF/{*conf,*xml,*properties} $RPM_BUILD_ROOT%{_sysconfdir}/lenya
for I in $RPM_BUILD_ROOT%{_sysconfdir}/lenya/*; do
  ln -sf %{_sysconfdir}/lenya/$(basename $I) $RPM_BUILD_ROOT%{_datadir}/lenya/WEB-INF/
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS.txt KEYS NOTICE.txt README.txt RELEASE-NOTES.txt mysql-schema.sql
%dir %{_sysconfdir}/lenya
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lenya/*
%config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/tomcat/conf/Catalina/localhost/lenya.xml
%{_datadir}/lenya
%config(noreplace) %verify(not md5 mtime size) %attr(2775,root,servlet) %{_sharedstatedir}/lenya
%attr(2775,root,servlet) %dir /var/log/lenya

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lenya.spec,v $
Revision 1.11  2009/10/09 15:05:41  pawelz
- removed done TODO
- rel 1

Revision 1.10  2009/10/09 13:01:48  pawelz
- mark whole /var/lib/nenya as %config. If user modify default publication it
  shouldn't be overwritten by upgrades!

Revision 1.9  2009/10/09 12:03:11  pawelz
- fixed path in %install
- rel 0.2 (is it ready for rel 1?)

Revision 1.8  2009/10/09 11:46:57  pawelz
- wrong. It does not build with system ant. But it requiers /usr/bin/ant
  scripts, so it BRs ant. Maybe we should modify %ant macro to use bin/ant
  from $ANT_HOME?
- install (webapproot)/lenya into /var/lib, and symlink it to (webapproot)/lenya

Revision 1.7  2009/10/09 09:03:47  pawelz
- it does compile with system ant, so use it.
- BR: ant
- BR: java-sun (it does not compile with gcj, because of some-target realted
  problems. It is not a big problem since we have no servlet container that
  compiles with gcj)

Revision 1.6  2009/10/09 08:55:18  pawelz
- pl

Revision 1.5  2009/10/08 13:34:10  pawelz
- don't build it against system jars. It is fuckin java. It will work only
  with jar libraries supplied with sources. It includes ant.
- updated TODO

Revision 1.4  2009/10/08 13:20:44  pawelz
- use bundled libraries, not system jars. Lenya needs exact versions of jars.
  It won't work with any other jars.

Revision 1.3  2009/10/08 11:40:58  pawelz
- typo
- more %docs

Revision 1.2  2009/10/08 11:34:42  pawelz
- configured to use mysql
- added mysql db initialization script as %doc

Revision 1.1  2009/10/05 12:03:04  pawelz
- initial

